# Enumerations Reference

# Enumerations

The following enumerations are available globally.

- `IGListDiffOption`

  An option for how to do comparisons between similar objects.

  See more

  #### Declaration

  Objective-C

      enum IGListDiffOption {}

  Swift

      enum IGListDiffOption : Int

- `IGListExperiment`

  Bitmask-able options used for pre-release feature testing.

  See more

  #### Declaration

  Objective-C

      enum IGListExperiment {}

  Swift

      struct IGListExperiment : OptionSet

- `IGListAdapterUpdateType`

  The type of update that was performed by an `IGListAdapter`.

  See more

  #### Declaration

  Objective-C

      enum IGListAdapterUpdateType {}

  Swift

      enum IGListAdapterUpdateType : Int

© 2019 Instagram. All rights reserved. (Last updated: 2019-11-20)

Generated by jazzy ♪♫ v0.12.0, a Realm project.